=== debian/changelog ===
debian-edu-install (0.659) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Prepare few new release.

  [ Luk Claes ]
  * Added myself to uploaders.

 -- Luk Claes <luk@debian.org>  Wed, 22 Nov 2006 22:15:57 +0100

debian-edu-install (0.658) unstable; urgency=low

  [ Steffen Joeris ]
  * Preseed samba-common/dhcp question for using WINS settings from
    DHCP by enabling this feature for all networked profiles
  * Make sure that samba-common/dhcp is false on the main-server
    profile
  * Include French debconf translation (Closes: #393655)
  * Fix the description to erase the base-config entry (Closes: #392939)

  [ Ronny Aasen ]
  * Popcon question should be translated.
  * User must accept that we erase the hard drive to continue the installation,
    and we preseed all partman questions if user accepts
  * Added a new defaults file called ltsp-chroot with the sitesummary-client
    seeds. the thin-client-server uses this to preconfigure the ltsp chroot.
    Add ltsp-chroot preseeds here
  * Added the preseeds for automatic installation using the new partman
    templates partman-auto/method and partman-lvm/confirm
  * make partman commit.d script, that will feed partman with debian-edu's wanted
    mountoptions.

  [ Petter Reinholdtsen ]
  * Add preseeding for uswsusp/encrypt to avoid question during installation.
    Set to 'no' for now.
  * Add xserver-org preseeding to get it to use the same keyboard layout
    as debian-installer.
  * Preseed partman-auto/disk instead of partman-auto-lvm/disk, as the
    latter seem to have been removed from partman.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Nov 2006 14:00:30 +0100

debian-edu-install (0.657) unstable; urgency=low

  [ Ronny Aasen ]
  * Change popcon default to false
  * Tweaking the partition recipes
  * Add sitesummary client into the ltsp chroot
  * Add debian-edu artwork into the ltsp chroot

  [ Bart Cornelis (cobaco) ]
  * Updated Dutch translation

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 15 Oct 2006 11:45:00 +0200

debian-edu-install (0.656) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Fix bug in firstboot script, making sure the kdm info is set before
    the kde frontend is started.
  * Fix bug in firstboot, now make sure it is removed even when
    errors are found.
  * Make sure the firstboot script isn't installed on upgrades, by
    setting the hidden debconf question to false when it is enabled.
  * Add preseeding of ifplugd on standalone profiles to enable it for eth0.
  * Moved test of network settings into the test suite in debian-edu-config.
  * Move code to create /etc/mailname from base-config script to the
    post-base-installer script.  Make sure it isn't set for standalone
    installations.
  * Major cleanup in the partition selection and preseeding code in
    debian-edu-profile.  Move some preseed values into the defaults.*
    files now that their values are seeded into both d-i and /target/.
  * Remove obsolete code in debian-edu-preseed to set DNS server.
  * Correct code to find distribution name in debian-edu-profile,
    making sure it also work for CD installs.
  * Preseed sitesummary collector URL for networked profiles.
  * Add generic preseed for components of our installer, needed when we have
    ltsp in local repo

  [ Ronny Aasen ]
  * Fix bug in the thin-client-server profile, for the enable-nat script
  * Making sure all flags are set, a unset flag breaks the case selection for
    automatic_partitioning.
  * Minor Alterations in logging output, to clarify whats going on.
  * Fixed bug in thin-client recipe file name
  * Fixed bug in case logic for the thin-client-server profile
  * Remove the redundant main+ltsp+ws recipe, use the main+ltsp
  * Bug in 94edultsp recipe, lost several partitions
  * Added dedicated /opt partition in ltsp profiles
  * Treat a d-i expert mode installation as a debian-edu-expert installation.
  * added a freespace partition in the recipes, while we wait for #385219
  * Ask and preseed the popcon question at profile time.
  * Preseed ltsp-client-builder  accept unsigned packages. until our cd
    signing work, adept our preseed to the new ltsp packages.
  * Enable ltsp-client-builder
  * Altering main+ltsp partman recipe, match minimum with real needs.
  * Add preseed for the new dhcp behavior notice in ltsp only installs.

  [ Steffen Joeris ]
  * Update danish translation, thanks to Claus Hindsgaul (Closes: #390317)

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  8 Oct 2006 20:10:21 +0200

debian-edu-install (0.655) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Let debian-edu-install-udeb depend on ltsp-client-builder, to build
    the ltsp chroot from d-i, and get a nice progress bar while it builds.
    Disable this while we wait for a better ltsp udeb.
  * Add code to report errors found during installation and from the
    test suite when the machine boot for the first time.  Depend on
    lsb-base for the init.d script output, and libqt-perl to get the
    kde debconf frontend working.  Disabled until it actually pop up
    over kdm.
  * Rewrite how parman recipees are selected, to reduce some
    complexity in the tests.
  * Remove obsolete code and template used to allow interactive installs.

  [ Ronny Aasen ]
  * Fixed Error in detecting single Workstation profile.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Sep 2006 17:13:56 +0200

debian-edu-install (0.654) unstable; urgency=low

  [ Steffen Joeris ]
  * Update the package URL and write whole sentences in the long
    descriptions (Closes: #383973)
  * Move the configuration of slbackup for comboservers into the
    installer and avoid using cfengine via debian-edu-config for that
    early installer part
  * Include debian-edu-version in the /etc/debian-edu/config file
  * Add code to update the Version via the postinst script due to
    upgrades
  * Add code to debian-edu-profile for preseeding enable-nat script

