=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>
Build-Depends: debhelper (>= 4.1.13)
Build-Depends-Indep: po-debconf (>= 0.5.0), dpkg-dev (>= 1.9), dash
Standards-Version: 3.7.2

Package: debian-edu-install
Architecture: all
Depends: debconf (>= 0.2.26) | debconf-2.0, debconf-utils, debian-edu-config (>= 0.380), lsb-base, libqt-perl
Replaces: base-config-skolelinux
Provides: base-config-skolelinux
Conflicts: base-config-skolelinux (<= 0.557)
Description: Set d-i values to install Debian-Edu without questions
 This package provides default answers for packages using debconf, and 
 configures services to work out of the box after an installation.
 .
 This is part of the Debian Edu project,
 <URL:http://wiki.debian.org/DebianEdu>.

Package: debian-edu-profile-udeb
Architecture: all
Section: debian-installer
Depends: localechooser, kbd-chooser
XB-Installer-Menu-Item: 24
Description: Choose Debian-Edu profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Debian-Edu project,
 <URL:http://wiki.debian.org/DebianEdu>.

Package: debian-edu-install-udeb
Architecture: all
Section: debian-installer
Depends: debian-edu-profile-udeb, autopartkit, clock-setup, tzsetup-udeb, user-setup-udeb, base-installer, pkgsel, bootable-system, cdebconf-udeb, ltsp-client-builder, multiseat-udeb, finish-install
XB-Installer-Menu-Item: 10
Description: Execute Debian-Edu debian-installer profile
 This package forces the installer to choose the menu items we want to 
 use in debian-installer.  This is done by making this package appear 
 very early in the menu, and depending on the required packages in
 sequence.
 .
 This is part of the Debian-Edu project, 
 <URL:http://wiki.debian.org/DebianEdu>.
