## debian-edu-install 0.664

=== debian/changelog ===
debian-edu-install (0.664) unstable; urgency=low

  [ Steffen Joeris ]
  * Make sure that it is not possible to select the Standalone profile
    together with any other profile (Closes: #420921)
    - Introduce debian-edu-install/standalone_only template note to
      warn if the selection was wrong
    - Include a check after the first check_profiles() and keep it in
      a loop as long as the profile selection is incorrect

  [ Guillem Jover ]
  * Added new Catalan translated string.
    Thanks to René Mérou <ochominutosdearco@gmail.com>
  * Updated Catalan translation, and fixed the mess done with the
    automatic merging from popularity-contest and debian-installer.

  [ Holger Levsen ]
  * Added myself to uploaders.
  * Improved german translation of the word 'barebone'.
  * Shortened Depends: for debian-edu-install-udeb, to fix the
    bootloader-installer problem on powerpc. We now have a working CD
    for powerpc!

  [ Ronny Aasen ]
  * Fix bug in autopartition when booting with debian expert.
  * Disable the use of the mirror chooser when installing from
    dvd. And enable it when we boot from cd and have network.
  * Increase size of /usr to fix more packages from the dvd.
  * Install  debian-edu-archive-keyring inside the ltsp chroot.
  * Increase size of /var to support netinstalls (Closes Skolelinux
    bug #1044)
  * Add netcfg to debian-edu-install-udeb, to get working network
    during a cd installation.
  * Add presseds to debian-edu-profile, so that we get the correct
    skolelinux repo when we are installing from cd+network.
  * Ugly hack with debian-edu-install-udeb.isinstallable, purpose: to
    disable netcfg for the dvd install.
  * Install debian-edu-archive-keyring early, incase we are
    netinstalling.
  * Enable network mirrors for the cd install.
  * Preseed slbackup-php
  * Add lv /var/opt/ltsp/swapfiles for combined servers.
  * Install ltspfsd by default inside the ltsp chroot.
  * Install lsof in the ltsp chroot.
  * Removed the dependency on the nonexsisting, in etch, multiseat.A
  * Overwrite netcfg.postinst,  on the dvd install.

  [ Petter Reinholdtsen ]
  * Report the status on the security.debian.org connection
    check to the log.
  * Add code to undo the installer menu renumbering when releasing for
    terra/etch.
  * Rewrite apt-setup/generators/70debian-edu-install to check for
    working network access before bailing out, to make sure the
    security mirror setting is unset when the network isn't available.
  * Modify the code disabling the mirror chooser to also trigger when
    there is no network.
  * Fix typo in apt-setup/use_mirror preseeding in defaults.common.
  * Drop autopartkit from the debian-edu-install-udeb dependency list,
    as we use partman as the default d-i install now.
  * Reintroduced a few debian-edu-install-udeb dependencies, to make sure
    the time zone and root password is set in the installation.
  * Update versions stored in debian-edu/config from terra_pre02 to
    terra_test04.
  * Add preseeding of cpufrequtils.
  * Change udeb postinst to install xresprobe instead of replaced
    kudzu-vesa, and drop installation of obsolete package devfsd, and
    drop installation of udev and libtext-iconv-perl now handled by
    the default d-i installation.
  * Change our network configuration for standalone installations to
    use allow-hotplug to integrate better with network-manager.
  * Remove obsolete code loading kernel modules, converting ext2->ext3
    and starting devfs.
  * Drop the dns-search entry from network/interfaces for Standalone
    installations.
  * Improve laptop detection using code from laptop-detect.
  * Add preseeding to populate the munin config using data from sitesummary.
  * Add preseeding of netcfg for networked profiles in the isinstallable
    script to avoid redundant question about hostname and dns domain.
  * Clean up finish-install.d script, removing unused and obsolete parts.
  * Make sure to only restart the network configuration at the end of the
    installation if no network exist, to get ssh installs working properly.
  * Add localization-config-udeb as a depend for debian-edu-install-udeb,
    to make sure the installation is properly i18n.

  [ Finn-Arne Johansen ]
  * Fixed mirror setup when using netboot installation
  * Add etch-test local mirror for now when using netboot installation

  [ Patrick Winnertz ]
  * Avoid question of scsiadd and install it per default without non-suid.
    (Closes Skolelinuxbug: #1171)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Jun 2007 15:13:15 +0100

debian-edu-install (0.663) unstable; urgency=low

  [ Ronny Aasen ]
  * Fixed a minor error in d-e-profile, that broke the install.
  * Avoid asking about autpartitioning when installing standalone.
  * Avoid asking for network mirror.
  * Add partman recipes for powerpc-prep

  [ Petter Reinholdtsen ]
  * Set the debconf title before asking it the disk should be erased and
    if popcon should be used, to avoid having a misleading title in g-i.
  * Show the expert menu when wiping the hard drive is rejected.
  * Remove db_fset on xserver-xorg/config/display/modes to check if it
    is ineffective or not.

  [ Steffen Joeris ]
   * Really integrate the German debconf translation, which got somehow
     missed out during the last upload (Closes: 411410)

  [ Patrick Winnertz ]
  * Avoid asking to disable the rootaccount in expert installation.
    (Closes Skolelinuxbug: #1134)

  [ Luk Claes ]
  * Multiply installer menu items by 100 (Closes: #418608, #418610).

 -- Luk Claes <luk@debian.org>  Tue, 10 Apr 2007 22:25:04 +0200

debian-edu-install (0.662) unstable; urgency=low

  [ Steffen Joeris ]
  * Update Czech debconf translation (Closes: #408652)
    Thanks to Miroslav Kure
  * Update German debconf translation (Closes: #411410)
    Thanks to Jens Seidel

  [ Ronny Aasen ]
  * Adding recipes for powermac_newworld
  * Removing primary on /boot for powermac_newworld

