## debian-edu-install 0.667

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	standalone lessdisks ltsp-chroot
 
 all: check
-check: check-scripts check-autopartkit # check-defaults
+check: check-scripts # check-autopartkit check-defaults
 
 install: 
 	for b in $(FRAGMENTS); do \
@@ -96,6 +96,13 @@
 		dash -n $$script ; \
 	done
 
+minimum-diskreq:
+	echo "Minimum disk requirements, in MiB:"
+	for profile in lib/partman/recipes*/* ; do \
+	  echo -n "$$profile	" ; \
+	  grep '^[0-9]' $$profile |awk '{ sum=sum+$$1} END { print sum }' ; \
+	done
+
 status:
 	( for f in debian/po/*.po; do \
 		echo -n $$f:; msgfmt --statistics $$f 2>&1 ; \
