=== debian/changelog ===
debian-edu-install (0.667) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Avoid sending the user to the d-i menu when automatic partition
    is rejected.
  * Modified the minimum partition sizes for main-server+workstation
    installs to make sure there is enough free space based on numbers
    collected on i386.  Size changes in MiB: / 100->128, /boot 50->64,
    /usr 3348->3456, /var 900->1024, /skole/tjener/home0 100->128,
    /skole/backup 32->64.
  * Change the user agent to "Debian Edu d-i <distribution>" when
    fetching URL to check if the network is working, as it is more
    descriptive.
  * Modified the minimum partition sizes for thin-client-server
    installs to make sure there is enough free space based on numbers
    collected on i386.  Size changes in MiB: / 500->128, /boot
    50->128, /usr 3348->3392, /var 900->1024, /var/opt/ltsp/swapfiles
    192->64, /opt 1500->640.  Adjust maximum partition sizes to make
    them bigger than the minimum sizes.
  * Modified the minimum partition sizes for workstation installs to
    make sure there is enough free space based on numbers collected on
    i386.  Size changes in MiB: / 1400->1152, /boot 50->128, /usr
    3348->3392.  Adjust maximum partition sizes to make them bigger
    than the minimum sizes.
  * Set the version to rc5 in /etc/debian-edu/config.
  * Make sure to set the hostname during installation when the
    hostname is determined by debian-edu-preseed.  Use DNS name for
    the current IP address if the network is working.
  * Clean up partitioning code, allowing automatic partitioning
    with the Standalone profile, now that it work to say no to
    automatic partitioning.
  * Updated Norwegian Bokmål translation.
  * Updated German from Maximilian Wilhelm.
  * Removed email address of Sven Kromminga from nds.po, as it bounced.
  * Removed email address of quad-nrg.net from el.po, as it bounced.
    Cleaned up the file a bit.
  * Remove cruft from id.po.
  * Updated Japanese (ja) translations from Kenshi Muto. (Closes: #433785)
  * Modify barebone handling to install the new barebone tasksel task
    instead of presenting the tasksel menu during installation.

  [ Steffen Joeris ]
  * Include initial Indonesian debconf translation (id)
    Thanks to Arief S Fitrianto.
  * Include updated Swedish debconf translation (Closes: #433769)
    Thanks to Daniel Nylander

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 20 Jul 2007 17:12:42 +0200

debian-edu-install (0.666) unstable; urgency=low

  * Change URL to check in debian-edu-profile to a smaller file.
    Set the user agent to "Debian Edu d-i <suite>" when fetching it.
  * Update French translation from Cyril Brulebois. (Closes: 432889)
  * Switch to manual partitioning if automatic partitioning was declined, 
    instead of looping endlessly.  (Closes: 421120)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 12 Jul 2007 22:54:59 +0200

debian-edu-install (0.665) unstable; urgency=low

  [ Steffen Joeris ]
  * Set the version to rc3 in /etc/debian-edu/config.
  * Include updated Vietnamese debconf translation (Closes: #430627)
    Thanks to Clytie Siddall
  * Include patch to blacklist the eth1394 module to block firewire
    during the first installer run (Closes skolelinux bug #1202)
    Thanks to Daniel Heß
  * Include updated Czech debconf translation (Closes: #431281) Thanks
    to Miroslav Kure
  * Include updated Portuguese debconf translation (Closes: #431015)
    Thanks to Miguel Figueiredo

  [ Petter Reinholdtsen ]
  * Preseed debian-edu-config/etc-in-svk to enable version tracking
    of /etc/ by default.
  * Fix usplash bug in debian-edu-test-install.  Based on patch from
    Jose L. Redrejo.  (Closes skolelinux bug #1204)
  * Ignore error messages like 'Fontconfig error:' when checking the
    installation log for errors until bug #422980 in ttf-dejavu is
    solved.
  * Change version upgrade code in the postinst to not fail when
    /etc/debian-edu/config is missing.
  * Rename rc1.d/K01usplash to rc1.d/S80usplash during installation as
    a workaround for skolelinux bug #1164 (usplash bug #431560).
  * Increase the minimum /usr partition size with 800 MiB for all
    profiles including the standalone packages, to cope with the
    packages proposed by José L. Redrejo Rodríguez.
  * Disable the check of autopartkit rules during build.  We use
    partman now.
  * Change URL used in debian-edu-profile to check if the network
    is working to use the same APT mirror as the other URLs.
  * Modified the i386 and amd64 minimum partition sizes for
    main-server installs while making sure there is at least 15% disk
    free based on numbers collected on i386.  Size changes in MiB:
    /boot 50->64, /usr 1465->767, /var 900->400, /var/spool/squid
    128->64, /skole/backup 32->64.
  * Reduced the maximum size for /skole/tjener/home0 for all profiles
    from 10 TiB to 20 GiB and increase the maximum free size in the
    LVM volume group from 20 GiB to 1000 TiB.  With online resizing and
    the debian-edu-fsautoresize script available, it is very easy to
    extend at run time.
  * Modified the i386 and amd64 minimum partition sizes for
    main-server+thin-client-server installs while making sure there is
    free based on numbers collected on amd64.  Size changes in MiB: /
    100->112, /boot 50->64, /usr 3600->3620, /opt 700->640,
    /var/opt/ltsp/swapfiles 192->92, /var/spool/squid 128->64,
    /skole/backup 32->64.
  * Remove lsof from the list of packages to install in the LTSP
    client environment.  It is now a dependency of ltspfsd.
  * Reduce partition priority of /var/ in the main-server install from
    3000 to 2000, to get it closer to the other partitions and thus
    let there be more free LVM space left.
  * Set the version to rc4 in /etc/debian-edu/config.

  [ Klaus Ade Johnstad ]
  * Increase the maximum /opt partition size to cope with the packages
    proposed by José L. Redrejo Rodríguez when

