=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
-Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>
-Build-Depends: debhelper (>= 4.1.13)
-Build-Depends-Indep: po-debconf (>= 0.5.0), dpkg-dev (>= 1.9), dash
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Joey Hess <joeyh@debian.org>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>
+Build-Depends: debhelper (>= 4.1.13), po-debconf (>= 0.5.0)
+Build-Depends-Indep: dpkg-dev (>= 1.9), dash
 Standards-Version: 3.7.2
 
 Package: debian-edu-install
@@ -24,7 +24,7 @@
 Architecture: all
 Section: debian-installer
 Depends: localechooser, kbd-chooser
-XB-Installer-Menu-Item: 24
+XB-Installer-Menu-Item: 2400
 Description: Choose Debian-Edu profile
  This package provides a profile chooser for the Debian installer.
  .
@@ -34,8 +34,8 @@
 Package: debian-edu-install-udeb
 Architecture: all
 Section: debian-installer
-Depends: debian-edu-profile-udeb, autopartkit, clock-setup, tzsetup-udeb, user-setup-udeb, base-installer, pkgsel, bootable-system, cdebconf-udeb, ltsp-client-builder, multiseat-udeb, finish-install
-XB-Installer-Menu-Item: 10
+Depends: netcfg, debian-edu-profile-udeb, clock-setup, tzsetup-udeb, user-setup-udeb, pkgsel, ltsp-client-builder, multiseat-udeb, localization-config-udeb
+XB-Installer-Menu-Item: 1000
 Description: Execute Debian-Edu debian-installer profile
  This package forces the installer to choose the menu items we want to 
  use in debian-installer.  This is done by making this package appear
