=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# TARGET_DIST is one of stable, sarge, etch, terra, unstable, fetch
+# from the changelog
+TARGET_DIST = $(shell head -1 debian/changelog |awk '{print $$3}'|tr -d ';')
 
 PART_TABLES = \
 	Main-Server+Thin-Client-Server.table \
@@ -35,6 +39,7 @@
 	$(MAKE)
 
 clean:
+	debconf-updatepo
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
@@ -65,6 +70,8 @@
 	    $(INSTALL_DATA) base-config/defaults.$$profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install ; \
 	done
 	$(INSTALL_DATA) lib/partman/recipes/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/recipes
+	$(INSTALL_DATA) lib/partman/recipes-powerpc-powermac_newworld/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/recipes-powerpc-powermac_newworld
+	$(INSTALL_DATA) lib/partman/recipes-powerpc-prep/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/recipes-powerpc-prep
 	$(INSTALL_DATA) lib/partman/commit.d/* $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/commit.d
 	for table in $(PART_TABLES) ; do \
 	    $(INSTALL_DATA) autopartkit/$$table \
@@ -83,8 +90,14 @@
 	dh_strip -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
+	cp debian/debian-edu-install-udeb.isinstallable debian/debian-edu-install-udeb/DEBIAN/isinstallable
+	chmod +x debian/debian-edu-install-udeb/DEBIAN/isinstallable
 	dh_installdeb -p$@
 	dh_gencontrol -p$@ -- -n$(INSTALLUDEBFILENAME)
+ifeq ($(TARGET_DIST),terra)
+	sed -i -e 's/^Installer-Menu-Item: \(.*\)00$$/Installer-Menu-Item: \1/' \
+		debian/debian-edu-install-udeb/DEBIAN/control
+endif
 	dh_builddeb -p$@ --filename=$(INSTALLUDEBFILENAME)
 
 .PHONY: debian-edu-profile-udeb
@@ -100,6 +113,10 @@
 	# not understand conffiles at the moment.
 	rm debian/$(PROFILEUDEB)/DEBIAN/conffiles
 	dh_gencontrol -p$@ -- -n$(PROFILEUDEBFILENAME)
+ifeq ($(TARGET_DIST),terra)
+	sed -i -e 's/^Installer-Menu-Item: \(.*\)00$$/Installer-Menu-Item: \1/' \
+		debian/debian-edu-profile-udeb/DEBIAN/control
+endif
 	dh_builddeb -p$@ --filename=$(PROFILEUDEBFILENAME)
 
 debian-edu-install: install-debian-edu-install
