## debian-edu-install 0.669

=== Makefile ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	for fil in $(SBINFILES); do \
 	  $(INSTALL) tools/$$fil $(DESTDIR)$(sbindir)/$$fil; \
 	done
+	$(INSTALL_DATA) version $(DESTDIR)$(pkglibdir)
 
 debian-edu-profile.templates: debian/debian-edu-profile-udeb.templates
 	(cd debian; po2debconf debian-edu-profile-udeb.templates) > $@
@@ -105,8 +106,8 @@
 
 status:
 	( for f in debian/po/*.po; do \
-		echo -n $$f:; msgfmt --statistics $$f 2>&1 ; \
-	done ) | egrep 'fuzzy|untranslated'
+		echo -n $$f:; LANG=C msgfmt --statistics -o /dev/null $$f 2>&1 ; \
+	done ) | egrep 'fuzzy|untranslated' || true
 dist:
 	debuild -us -uc
