=== debian/changelog ===
debian-edu-install (0.669) unstable; urgency=low

  [ Ronny Aasen ]
  * Removed d-e-i-udeb's dependency on multiseat-udeb, since it's not in any of
    the repositories.
  * Place debian-edu-profile-udeb's menu item after clock-setup. Trying to
    make it be selected by the menu.

  [ Petter Reinholdtsen ]
  * Add preseeding value to activate dependency based boot sequencing.
  * Add preseeding for libnss-ldapd.
  * Add partman recipe for barebone install, to allow a quicker installation
    of the barebone profile.  Separate minimal /, /boot/, /var/ and /usr/,
    and the rest as unused LVM space.
  * Add code in debian/debian-edu-profile-udeb.prebaseconfig to remove the
    debianedufreespace logical volume.

  [ Patrick Winnertz ]
  * Fix even more hardcoded releasenames to use lenny.

  [ Christian Perrier ]
  * Consistent spelling of "Debian Edu" in debconf templates. Translations
    unfuzzied. Closes: #434098
  * Better wording of one template. Closes: #453676

  [ Translations ]
  * Updated Catalan by Guillem Jover.
  * German. Closes: #434097, #478730
  * Russian. Closes: #434198, #479140
  * Updated Dutch by Bart Cornelis.
  * Galician. Closes: #478586
  * Czech. Closes: #478806
  * Vietnamese. Closes: #479006
  * Portuguese. Closes: #479421
  * Turkish. Closes: #479753
  * Indonesian. Closes: #479701, #479700, #479699

  [ Holger Levsen ]
  * Suppress lintian warnings about no postrm script for 
    /etc/init.d/xdebian-edu-firstboot, about it not being marked as a conffile
    and it not being included in the package
  * Correct spelling of Debian Edu in debian/control
  * Remove empty directories /usr/share/debconf/templates/ and add a lintian
    override for the empty dir /lib/debian-edu-install/
  * Add copyright notice in debian/copyright
  * Remove debian/po/id.po as it contained no translations at all
  * Added a dependency to debconf for the debian-edu-install and 
    debian-edu-profile udebs

 -- Holger Levsen <holger@debian.org>  Sat, 10 May 2008 08:51:16 +0200

debian-edu-install (0.668) unstable; urgency=low

  [ Finn-Arne Johansen ]
  * try not to add dns-search intern to dhcp-clients
    (closes skolelinux #1293)
  * Set type of value when preseeding group prefix for lwat

  [ Petter Reinholdtsen ]
  * Avoid non-POSIX -a option to test in debian-edu-preseed.
  * Allow debian-edu-etc-svk update to fail in the postinst, to get
    the lenny installer limping along.
  * Flag with XXX apt-setup fragment that need to be updated for
    Lenny.

  [ Holger Levsen ]
  * updated danish translation by Jonas Smedegaard

  [ Patrick Winnertz ]
  * Add new value for lwat to be preseeded.
  * Added myself to the uploaders
  * Bump standards Version to 3.7.3
  * Add Homepage field to control

  [ Ronny Aasen ]
  * loading partman-lvm packages early, to provide templates for
    preseeding in profilechooser.
  * Disable preseeding first disk since /dev/discs are gone missing.
  * Preseed partman-lvm/device_remove_lvm, since the key have moved.
  * update defaults.thin-client-server for lenny
  * Trying to get users to actualy read, and think about, the popcon
    question. By removing the default selection for our popcon question.

 -- Patrick Winnertz <winnie@debian.org>  Thu, 07 Feb 2008 10:12:48 +0100

debian-edu-install (0.667.1+svn39522) terra; urgency=low

  [ Holger Levsen ]
  * Makefile: use C locale within status target, so that the egrep works as
    expected. Always return true on this egrep, even if the last .po is
    completly translated.  :-)
  * Updated italien translation thanks to Claudio Carboncini.
  * Updated finish translation thanks to Lars Wirzenius.
  * Updated polish translation thanks to Bartosz Fenski.
  * Updated greek translation thanks to Faidon Liambotis.
  * Updated catalan translation thanks to Miguel Gea Milvaques.

  [ Petter Reinholdtsen ]
  * Make sure to close file descriptor 3 when restarting the network, as
    a workaround for skolelinux bug #1229.

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  2 Dec 2007 10:14:05 +0100

debian-edu-install (0.667.1+svn39277) terra; urgency=low

  * Fix postinst to upgrade version string '3.0r0 terra' to '3.0r1 terra'.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Nov 2007 18:45:01 +0100

debian-edu-install (0.667.1+svn39198) terra; urgency=low

  * Backport to Debian Edu/Etch.

  [ Luk Claes ]
  * Remove myself from uploaders.

  [ Morten Werner Forsbring ]
  * Changed my last name.
  * Add /root/.svk to the default backup set (fixes Skolelinux bug #1272).
  * Preseed debian-edu-config/enable-nat to enable NAT on the thin-client
    servers (fixes Skolelinux bug #1266).
  * Update the changelog to document fixing of bug #1266.

  [ Petter Reinholdtsen ]
  * Adjust user agent string used during installation to include
    the Debian Edu suite and architecture information.
  * Update German translation from Helge Kreutzmann. (Closes: #434097)
  * Make sure to only try to load the dpt_i2o kernel module for PCI
    device 1044:a511 (and not the i2o_core module), to avoid boot
    problem after the install.  (Closes skolelinux bug #484 and #1254)
  * Try harder to only load dpt_i2o for PCI device 1044:a511.  Make sure the
    modprobe.d/blacklist entries are passed into /target/ as well.
  * Only load dpt_i2o for PCI device 1044:a501, as it seem to be
    supported by i2o_core too.
  * Move modprobe.d fragment from file blacklist to
    debian-edu-install, to avoid conflict with the udev package.
  * Change dpt_i2o handling code to only trigger when the dpt_i2o
    kernel module is present, to try to make it forward compatible
    with the planned fix in Debian.
  * Move current version string to
    /usr/lib/debian-edu-install/version, to avoid duplicating it in
    both debian-edu-preseed and debian/debian-edu-install.postinst.
  * Make sure to upgrade Debian Edu version string from the 'alpha',
    'test' and 'pre' versions too.

