=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,7 @@
 	done
 	$(INSTALL) debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin
 	touch $(CURDIR)/debian/debian-edu-profile-udeb/etc/uselvm
+	$(INSTALL) version $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install
 
 # Build architecture-independent files here.
 binary-indep: install debian-edu-install debian-edu-install-udeb debian-edu-profile-udeb
